org.eclipse.eef

## Interface EEFPropertyValidationRuleDescription

All Superinterfaces:
  EEFValidationRuleDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFPropertyValidationRuleDescriptionImpl

    public interface EEFPropertyValidationRuleDescription
    extends EEFValidationRuleDescription

A representation of the model object ' EEF Property Validation Rule Description'.

The following features are supported:

- `Targets`

See Also:
  `EefPackage.getEEFPropertyValidationRuleDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFWidgetDescription>` `getTargets()` Returns the value of the 'Targets' reference list.

### Methods inherited from interface org.eclipse.eef.EEFValidationRuleDescription

`getAudits, getFixes, getMessageExpression, getSeverity, setMessageExpression, setSeverity`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getTargets

    org.eclipse.emf.common.util.EList<EEFWidgetDescription> getTargets()

Returns the value of the 'Targets' reference list. The list contents are of type `EEFWidgetDescription`. It is bidirectional and its opposite is ' `Property Validation Rules`'. The widgets involved in this validation rule.

Returns:
  the value of the 'Targets' reference list.
See Also:
  `EefPackage.getEEFPropertyValidationRuleDescription_Targets()`, `EEFWidgetDescription.getPropertyValidationRules()`